cp ./test/PinusWSClient.ts ./node_modules/pinus-robot-plugin/src/PinusWSClient.ts
cp ./test/PinusWSClient.js ./node_modules/pinus-robot-plugin/dist/PinusWSClient.js

if [ -n "$1" ] ; then
    echo ${1}
    ./node_modules/mocha/bin/mocha -t 5000 -r ts-node/register ./test/${1}.test.ts
else
    echo 'all'
    ./node_modules/mocha/bin/mocha -t 5000 -r ts-node/register ./test/**test.ts
fi
